Bug Hunting Session
Bug 87189 - CRASH:error with this file.
Summary: CRASH:error with this file.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: x86 (IA32) All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-10 10:43 UTC by Atlant
Modified: 2014-12-12 20:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bug_file (1.76 MB, application/excel)
2014-12-10 10:43 UTC, Atlant
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Atlant 2014-12-10 10:43:26 UTC
Created attachment 110677 [details]
bug_file

Open this file and move down page(examples - press "Page Down")(two or three count)
Show error message "LiberOffice ${VERSION} - Fatal Error" with one button "OK" and down process libreoffice. 

Test with old OpenOffice ver3.2 on Linux - working is OK.
Converting with OO 3.2 to other format(ods). Open this "ods" in LO4.3.3.2 - error retry!! 

Error in Linux ( latest ubuntu 4.3.7) and Windows ( version 4.3.3.2 ID build 9bb7eadab57b6755b1265afa86e04bf45fbfc644 RUSSIAN LANGUAGE).

P.S.
On last version(dev) L.O. non tested!!. Plz, check it on DEV VERSION and report.

P.P.S.
Maybe error in pictures format????
Comment 1 raal 2014-12-10 12:33:54 UTC
I can confirm crash in this file. I can open file in excel without problem. LO 4.3.4.1, win7
Comment 2 Commit Notification 2014-12-10 14:30:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6624484a608ed43fdeea1596f254915add671e08

Resolves: fdo#87189 don't draw negative canvas sizes

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-12-10 14:31:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63a2168a6ea783d2c3824cdde8983dbfad147417&h=libreoffice-4-4

Resolves: fdo#87189 don't draw negative canvas sizes

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-12 09:25:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5149e714c44182e22236d1f8daca719c318aad49&h=libreoffice-4-3

Resolves: fdo#87189 don't draw negative canvas sizes

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Atlant 2014-12-12 09:43:30 UTC
Open "bug_file" in testing LO is correct! 

Version: 4.4.0.0.beta2+
ID Build: 3d541065fe235de6f1dc3e673082e9a8cda9b328
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2014-12-11_03:07:55
Locale: ru_RU

Good work! Thanks!